4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.AliasImp

Alias repository resource class.
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AliasImp |  |  |  | Functions: NewAliasXml |  |  |  | Fields: FTSERVER_NAMESPACE

## Classes

class AliasImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp)
An alias for another repository resource

### Methods

getReference(self)
Traverses the alias and returns its reference (1 step)
traverse(self)
Traverses the alias and returns its reference (n steps)

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setContent, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 2

## Functions

NewAliasXml(driver, reference, path, acl, owner, docDef)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'